diff --git a/tests/p_rpm/rpm_remove_pkg_test.sh b/tests/p_rpm/rpm_remove_pkg_test.sh
new file mode 100755
index 0000000..a18900e
--- /dev/null
+++ b/tests/p_rpm/rpm_remove_pkg_test.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+# Author: Athmane Madjoudj <athmanem@gmail.com>
+
+t_Log "Running $0 - rpm remove package test."
+
+# Install zsh pkg
+t_InstallPackage zsh
+
+rpm -e zsh && \
+rpm -q zsh | grep -q 'package zsh is not installed'
+
+t_CheckExitStatus $?